summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/bitwise/0040mark_binop_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/bitwise/0040mark_binop_0')
-rwxr-xr-xtests/shell/testcases/bitwise/0040mark_binop_013
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/bitwise/0040mark_binop_0 b/tests/shell/testcases/bitwise/0040mark_binop_0
new file mode 100755
index 00000000..4ecc9d3d
--- /dev/null
+++ b/tests/shell/testcases/bitwise/0040mark_binop_0
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_bitshift)
+
+set -e
+
+RULESET="
+ add table t
+ add chain t c { type filter hook output priority filter; }
+ add rule t c oif lo ct mark set (meta mark | 0x10) << 8
+"
+
+$NFT -f - <<< "$RULESET"